cdac.medinfo.sdk.hl7282.hl7model.messages.orderentry

## Class QRY_Q26

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.baselibs.messages.AbstractQuery
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.orderentry.QRY_Q26_Common
      - - cdac.medinfo.sdk.hl7282.hl7model.messages.orderentry.QRY_Q26

-     public final class QRY_Q26
      extends QRY_Q26_Common

  QRY_Q26 - Pharmacy/Treatment Order Response (Event Q26). This event is use for Pharmacy/Treatment Order Response.

  Represents a QRY_Q26 message structure . This structure contains the following elements:

  0: MSH (Message Header segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: QRD (Original-Style Query Definition Segment) SINGLE_COMPULSARY
  3: QRF (Original style query filter Segment) SINGLE_OPTIONAL
  4: DSC (Continuation Pointer Segment) SINGLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.5 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.5 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  QRY_Q26 objQ26 = (QRY_Q26)MessageFactory.createInstance().createSendSupportedMessage("QRY", "Q26");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.orderentry.QRY_Q26_Common

      `addSoftwareSegment, addSoftwareSegment, getContinuationPointerSegment, getSoftwareSegments, isQuery, setContinuationPointerSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.AbstractQuery

      `getQueryIdentifier, getQuerySegments, isBatchRSPExpected, isCanceledQuery, isCanceledResponse, isDeferred, isInteractiveQuery, isInteractiveResponse, setIsCanceledQuery, setIsCanceledResponse, setIsInteractiveQuery, setIsInteractiveResponse`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`